summaryrefslogtreecommitdiff
path: root/tests.branching/tag-tag-works-as-expected.script
diff options
context:
space:
mode:
authorSam Thursfield <sam.thursfield@codethink.co.uk>2013-01-22 12:19:24 +0000
committerSam Thursfield <sam.thursfield@codethink.co.uk>2013-01-22 12:24:55 +0000
commit35ee3e342b0eb2a3224c2bc11c9455c8b25d8947 (patch)
tree5cca270a6f2a07741f7bcd928c7b10749fd3d437 /tests.branching/tag-tag-works-as-expected.script
parent767bf61ed6b40cd705b5e156fc79bd2130ec5d86 (diff)
downloadmorph-35ee3e342b0eb2a3224c2bc11c9455c8b25d8947.tar.gz
Rename morph tag tests to follow pattern
The pattern is COMMAND-assertion, not morph-COMMAND-assertion.
Diffstat (limited to 'tests.branching/tag-tag-works-as-expected.script')
-rwxr-xr-xtests.branching/tag-tag-works-as-expected.script46
1 files changed, 46 insertions, 0 deletions
diff --git a/tests.branching/tag-tag-works-as-expected.script b/tests.branching/tag-tag-works-as-expected.script
new file mode 100755
index 00000000..14c2ad3e
--- /dev/null
+++ b/tests.branching/tag-tag-works-as-expected.script
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+## Check that tagging an existing tag commit with 'morph tag' preserves
+## the unpetrify-ref and does not "double-petrify" apart from updating
+## references to "example-tag" to "tagged-tag".
+
+set -eu
+
+# Make sure the commits always have the same SHA1s.
+. "$SRCDIR/scripts/fix-committer-info"
+
+# Create a workspace and branch.
+cd "$DATADIR/workspace"
+"$SRCDIR/scripts/test-morph" init
+"$SRCDIR/scripts/test-morph" checkout test:morphs master
+
+# Tag the system branch.
+"$SRCDIR/scripts/test-morph" tag example-tag -- -m First
+
+# Check out the tag.
+"$SRCDIR/scripts/run-git-in" master/test:morphs checkout -b example-tag \
+ 2>/dev/null
+
+# Tag the tag.
+"$SRCDIR/scripts/test-morph" tag tagged-tag -- -m Second
+
+# List all tags and show the second one.
+"$SRCDIR/scripts/test-morph" foreach -- git tag -l
+"$SRCDIR/scripts/test-morph" foreach -- git show tagged-tag
+"$SRCDIR/scripts/test-morph" foreach -- git log --format=fuller tagged-tag